EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageUsage_DeleteUsage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a single usage record'
GO

IF OBJECT_ID('[PackageUsage_DeleteUsage]') IS NOT NULL DROP PROCEDURE [PackageUsage_DeleteUsage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageUsage_DeleteUsage]
(
	@PackageUsage_Id INT
)
AS
BEGIN

	DELETE [PackageUsage]
	 WHERE [PackageUsage_Id] = @PackageUsage_Id

END 

GO

GRANT EXECUTE ON [PackageUsage_DeleteUsage] TO [ProGetUser_Role]
GO